<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('ad_plans', function (Blueprint $table) {
            $table->unsignedBigInteger('duration_id')->nullable();
            $table->string('payment_method')->nullable();
            $table->string('total_price')->nullable();
            $table->string('discount')->nullable();
            $table->string('promo_code')->nullable();
            $table->unsignedBigInteger('payment_id')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('ad_plans', function (Blueprint $table) {
            $table->dropColumn('duration_id');
            $table->dropColumn('payment_method');
            $table->dropColumn('total_price');
            $table->dropColumn('discount');
            $table->dropColumn('promo_code');
            $table->dropColumn('payment_id');
        });
    }
};
